AutoCAD 2010 Readme

Installation, Configuration and Hardware
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

This Readme contains important information about AutoCAD that may not be included in the printed documentation or in Help.

Topics in this section

  • Installation, Configuration and Hardware
  • Join the Customer Involvement Program

    You are invited to participate in helping guide the direction of Autodesk design software.

  • General Information
  • Graphics Card Driver Update
  • Draw and Edit
  • User Interface
  • Command and System Variable History
  • System Requirements
  • Product Removal
  • Trademarks
Please send us your comment about this page


Installation, Configuration and Hardware

Join the Customer Involvement Program
AutoCAD 2010 Readme >
Installation, Configuration and Hardware
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Installation and Configuration

NoteYou should close all running applications before installing AutoCAD 2010.

Installing from Dual CD/DVD ROM Drive Systems

Installation fails if you attempt to install AutoCAD 2010 by using different drives of a dual CD/DVD ROM drive system. You must use the same disc drive in order to complete the installation process.

Visual Basic for Applications (VBA)

Microsoft VBA is now made available for free download via our website at http://www.autodesk.com/vba-download. Autodesk has begun the transition from VBA technology to VSTA and .NET support. This transition will occur over several years. During this time, Autodesk will provide documentation and other assistance to help our customers and developers migrate from VBA to this new automation technology. We will continue to fully support VBA in our products, including AutoCAD 2010 and all AutoCAD 2010-based industry products. Through this free download, once VBA is installed, your existing VBA-based applications should run as in previous versions of AutoCAD.

To install the AutoCAD 2010 VBA module, download its 32-bit or 64-bit version depending on your operating system at http://www.autodesk.com/vba-download.

For 32-bit
AutoCAD2010VbaEnabler32.exe
For 64-bit
AutoCAD2010VbaEnabler64.exe
  1. Close all programs.
  2. In Windows Explorer, double-click the downloaded self-extracting EXE file.
  3. Unzip the file to the location of your choice, or use the default location.
  4. Follow the on-screen instructions.

HTML Help Fails When Launched from a Network Drive

You cannot launch the Help System from a network drive. A "Page Cannot Be Displayed" warning is displayed. This limitation is a result of the Windows Security Update #896258 from Microsoft.

DirectX Installation Using SCCM Fails

DirectX installations using Microsoft System Center Configuration Manager 2007 fail on systems running Microsoft Windows XP for 32- and 64-bit. Before installing with SCCM, download and install DirectX 2008 from your AutoCAD 2010 installation disc in one of the following directories, depending on your processor:

  • <MediaRoot>\x86\support\DirectX
  • <MediaRoot>\x64\support\DirectX

VC++ Runtime Installation using SCCM Forces Reboot

VC++ runtime installations using SCCM 2007 fail on systems running Microsoft Windows XP. Before installing with SCCM, download and install VC++ 2008 SP1 runtime from your AutoCAD 2010 installation disc in one of the following directories, depending on your processor:

  • <MediaRoot>\x86\support\VCRedist\2008\x86
  • <MediaRoot>\x64\support\VCRedist\2008\x64

REMEMBERFOLDERS System Variable

The Help topic for the REMEMBERFOLDERS system variable is inaccurate. The correct information is as follows.

Type: Integer

Saved In: Registry

Initial Value: 1

Controls the default path for the Look In or Save In option in standard file selection dialog boxes.

0 | Restores the behavior of AutoCAD 2000 and previous releases. When you start AutoCAD by double-clicking an icon, if a Start In path is specified for the icon, then that path is used as the default for all standard file selection dialog boxes.
1 | Specifies that the default path in each standard file selection dialog box is the last path used in that dialog box. The Start In folder specified for the AutoCAD icon is not used.

Use Group Policies to Install a Deployment

The Help topic Use Group Policies to Install a Deployment is missing information. The correct information is as follows.

With group policies, you can advertize a program by assigning a deployment to users’ computers.

In order for AutoCAD to run properly, the following software must be installed on the computer where the program is being installed:

  • Microsoft .NET 3.5 SP1 (available on the product disc)
  • Microsoft Internet Explorer version 6.0 SP1 or later (To download Microsoft Internet Explorer, visit www.microsoft.com)
  • Microsoft Installer Package (MSI) 4.5
  • Microsoft Windows Media Format 9.5 (prerequisite for 64-bit)
  • Macromedia Flash Player 9.0 or later (not installed by default)
  • Autodesk Design Review 2010 (not installed by default)
  • VC++ 2008 SP1 and VC++ 2005 SP1 runtimes for x86 operating systems; VC++ 2008 SP1 and VC++ 2005 SP1 runtimes for x64 operating systems (available on the product disc)
  • Microsoft National Language Support Downlevel APIs (available on the product disc)

Custom Folder in Deployments May Crash AutoCAD

The new AutoCAD 2010 Deployment Wizard - Select Installation Folder for Support Content dialog box allows you to specify a custom folder in which to copy support content.

In this dialog box, if you specify a folder location that permits Read Only permissions at the user level according to the Microsoft Vista User Acces Control, then AutoCAD may crash. To avoid this, ensure that you have write permission on your Microsoft Vista machine when creating your deployment with the Custom Folder option.

Single Shared Folder Option for Deployment Images

When using the Single Shared Folder option to create a deployment image, specify a folder name to avoid creating an invalid deployment image. Do not leave the folder name as “<Shared folder path>”.

Licensing

To Activate A Network License Through Autodesk.com

If your product does not include the Network License Activation Utility, you can activate your license by going to http://www.autodesk.com/register and following the on-screen instructions.

Running a Network License Manager on Microsoft Windows Vista

When starting the network version of AutoCAD 2010 on a Microsoft Windows Vista workstation, you may encounter licensing error -15 if the license manager is running on Windows Vista (FLEXlm server version 11.4.100). Do the following:

  • Install the latest service pack and updates for Microsoft Windows Vista.

If you continue to encounter errors, do the following:

  • On the Start menu (Windows Vista), click Control Panel [image] Network and Sharing Center [image] Manage Network Connections. Right-click Local Area Connection. Click Properties. Clear the check mark from Internet Protocol 6 (TCP/IPv6). Click OK.

FlexLM License is Created in Two Locations

The FLEXlm License Finder dialog box may not display when AutoCAD 2010 is launched for non-administrative users who are using Windows Vista 64-bit. The license server path information is stored in the HLKM\STOFTWARE\Wow6432Node path, which is not accessible to non-administrative users.

To fix this problem, replicate the license server path information stored in the above path to go to the HKLM\software\FLEXlm License Manager path.

Hardware

Graphics Card Driver Update

For the best program performance, verify and update your graphics card driver. For more information, see Graphics Card Driver Update.

Remote Access Applications

It is not recommended that you use any type of remote access application in conjunction with AutoCAD 2010 when it is configured to use hardware acceleration. Most remote access applications cannot support hardware acceleration, which can cause general display failure and instability. If you need to use remote access applications, disable hardware acceleration or use the /NOHARDWARE command line switch to start AutoCAD 2010 in Software mode.

Hardware Certification Database

To download and install the latest hardware certification XML file, visit the Hardware Certification website.


Join the Customer Involvement Program

Installation, Configuration and Hardware
General Information
AutoCAD 2010 Readme >
Join the Customer Involvement Program
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You are invited to participate in helping guide the direction of Autodesk design software.

If you participate in the Customer Involvement Program, specific information about how you use AutoCAD is forwarded to Autodesk. This information includes what features you use the most, problems that you encounter, and other information helpful to the future direction of the product.

See the following links for more information.

  • Learn more about the Autodesk Customer Involvement Program: http://www.autodesk.com/cip

  • Read the Autodesk Privacy Statement: http://www.autodesk.com/cipprivacy

To turn the CIP on or off

  1. On the InfoCenter toolbar, to the right of the Help button, click the drop-down arrow.
  2. Click Customer Involvement Program.
  3. In the Customer Involvement Program dialog box, select a level of participation.
  4. Click OK.


General Information

Join the Customer Involvement Program
Graphics Card Driver Update
AutoCAD 2010 Readme >
General Information
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Command Versioning

Starting with AutoCAD 2009, command versioning was introduced with the Action Recorder. Command versioning allows AutoCAD to track which command iteration should be used when executing an action macro, script file, or CUI command macro. As a result of this change, some commands may require the use of the ^R control sequence in the CUI command macro.

The ^R control sequence forces AutoCAD to use the newest version of the command. When the ^R control sequence is not used, the oldest version of the command is used.

For example, a CUI command macro using the FILLET command would require the use of the ^R control sequence to ensure that the macro worked in the same way as AutoCAD 2008 and prior releases. The following is an example of a CUI command macro using the ^R control sequence:

^C^C^R_fillet;u; r;0.1;

Some of the commonly used commands with CUI command macros that are affected by command version are:

  • CHAMFER
  • COLOR
  • EXPLODE
  • FILLET
  • LAYOUT
  • LENGTHEN
  • TRIM

If you are using AutoLISP, you can control which version of a command is used by preceeding the Command function with the InitCommandVersion function. The syntax for the InitCommandVersion function is as follows:

(InitCommandVersion <version_number>)

Where version_number controls which version of the command should be used for the preceeding command being exectuted by the Command function.

Configure a Database to Use With AutoCAD Drawings (dbConnect)

AutoCAD 2010 for 64-bit does not support Microsoft Jet 4.0 OLE DB Provider (for .MDB connectivity) and Microsoft OLE DB Provider for ODBC Drivers (for .XLS connectivity). For more information, see Substituting SQL Server for OLE DB in the Driver and Peripheral Guide.

Drawing File Format Compatibility

The native drawing file format for AutoCAD 2010 is not compatible with previous releases. AutoCAD 2010 can open drawing file formats from previous releases; however, in order to open AutoCAD 2010 files in previous releases you will need to use the SAVEAS command and save it to the appropriate format. The following table illustrates which drawing file formats to use when saving to a previous release.

Drawing File Format Applicable Releases
AutoCAD 2007
  • AutoCAD 2007
  • AutoCAD 2008
  • AutoCAD 2009
AutoCAD 2004
  • AutoCAD 2004
  • AutoCAD 2005
  • AutoCAD 2006
AutoCAD 2000
  • AutoCAD 2000
  • AutoCAD 2000i
  • AutoCAD 2002
AutoCAD 14
  • AutoCAD R14

API Compatibility

AutoCAD 2010 breaks binary compatibility with previous releases. Most applications will need to be recompiled and possibly changed to run correctly on AutoCAD 2010. For more information, see the ObjectARX Migration Guide.

Plot Styles Folder is Installed Inside the Plotters Folder

The path for the Plot Styles folder has been moved from a sibling level of the Plotters folder to a subdirectory in the Plotters folder.


Graphics Card Driver Update

General Information
Draw and Edit
AutoCAD 2010 Readme >
Graphics Card Driver Update
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You should verify and update your graphics card driver to optimize AutoCAD 2010. Use the following procedure to identify your current graphics card driver.

To identify your graphics card driver

  1. Start AutoCAD 2010.
  2. At the Command prompt, enter 3dconfig.
  3. In the Adaptive Degradation and Performance Tuning dialog box, click View Tune Log.
  4. Review the 3D Device section for information about your system's graphics card driver and driver version.

If you find that you do need to update your driver, visit http://www.autodesk.com/autocad-graphicscard to find a certified driver for your graphics card. If you do not find one, visit the graphics card manufacturer's website.

NoteIf the graphics card manufacturer does not have an updated driver, check the system manufacturer's website. Companies such as IBM, Hewlett Packard, and Dell often supply their own system drivers.


Draw and Edit

Graphics Card Driver Update
User Interface
AutoCAD 2010 Readme >
Draw and Edit
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Block Properties Table

In the Block Properties table, you cannot enter a combination of decimals and fractions. All numerical values must be either decimals or fractions.

Autoconstrained Polylines

Autoconstraining a polyline that has many points may reduce performance and cause AutoCAD to stop working.

Dimensional Constraints Change in Previous AutoCAD Version

Dimensional constraints do not behave as associative dimensions when opened in prior versions of AutoCAD. To reassociate dimensions, use the DIMREASSOCIATE command.

Rotating Horizontally or Vertically Constrained Geometry

Rotating horizontally or vertically constrained geometry may give unpredictable results.


User Interface

Draw and Edit
Command and System Variable History
AutoCAD 2010 Readme >
User Interface
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Display AutoCAD as in Previous Releases

AutoCAD 2010 introduces a new look and user interface that changes the way you access commands. To display AutoCAD 2010 as it was in previous releases, do the following:

  1. On the status bar, click Workspace Switching.
  2. From the list of workspaces, select AutoCAD Classic.

Use Workspaces to Switch AutoCAD Interfaces

Workspaces are sets of menus, toolbars, palettes, and ribbon panels that are grouped and organized to create a task-oriented drawing environment. In addition to AutoCAD Classic, the following task-based workspaces are available in AutoCAD 2010:

2D Drafting & Annotation

Displays tools specific to 2D drafting. Displays the new interface, including the ribbon and application menu.

3D Modeling

Displays tools specific to 3D modeling. Displays the new interface, including the ribbon, application menu, and Tool Palettes window.

To switch between available workspaces, do one of the following:

  • On the status bar, click Workspace Switching and select the desired workspace.
  • On the Workspaces toolbar, in the Workspaces drop-down list, select the desired workspace.

DesignCenter Online

DesignCenter Online (DC Online tab) is disabled by default in US English. You can enable it from the CAD Manager Control utility.

Constraint Bar Display

When the CONSTRAINTBAR system variable is set to Showall, constraint bars will always be displayed, even if the CONSTRAINTBARDISPLAY system variable is set to 0.


Command and System Variable History

User Interface
System Requirements
AutoCAD 2010 Readme >
Command and System Variable History
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Where to Learn About AutoCAD 2010

Use the following resources to find more information about AutoCAD 2010:

  • New Features Workshop (Help menu)
  • Help system (Help menu)
  • Developer Help (Help menu > Additional Resources)
  • Autodesk User Group International (AUGI) (Help menu > Additional Resources)
  • Autodesk website at http://www.autodesk.com
  • Learning Resources Page at http://www.autodesk.com/autocad-learningpath
  • Tutorials at http://www.autodesk.com/autocad-tutorials
  • Cue Cards at http://usa.autodesk.com/adsk/servlet/item?siteID=123112&id=11527343&linkID=9240615

New Commands

3DPRINT

Sends a 3D model to a 3D printing service.

3DSCALE

In a 3D view, displays the 3D Scale gizmo to aid in resizing 3D objects.

ACTBASEPOINT

Inserts a base point in an action macro.

ACTMANAGER

Manages action macro files.

ADJUST
ATTACH

Inserts an external reference, image, or underlay (DWF, DWFx, PDF, or DGN files) in the current drawing.

AUTOCONSTRAIN

Applies geometric constraints to a selection set of objects based on orientation of the objects relative to one another.

BACTIONBAR

Displays or hides action bars for a selection set of parameter objects.

BCONSTRUCTION

Converts geometry into construction geometry.

BCPARAMETER

Applies constraint parameters to selected objects, or converts dimensional constraints to parameter constraints.

BESETTINGS

Displays the Block Editor Settings dialog box.

BTABLE

Displays a dialog box to define variations of a block.

BTESTBLOCK

Displays a window within the Block Editor to test a dynamic block.

CLIP

Crops a selected external reference, image, viewport, or underlay (DWF, DWFx, PDF, or DGN) to a specified boundary.

CONSTRAINTBAR

A toolbar-like UI element that displays the available geometric constraints on an object.

CONSTRAINTSETTINGS

Controls the display of geometric constraints on constraint bars.

DELCONSTRAINT

Removes all geometric and dimensional constraints from a selection set of objects.

DIMCONSTRAINT

Applies dimensional constraints to selected objects or points on objects.

EXPORTDWF

Creates a DWF file and allows you to set individual page setup overrides on a sheet by sheet basis.

EXPORTDWFX

Creates a DWFx file where you can set individual page setup overrides on a sheet-by-sheet basis.

EXPORTPDF

Creates a PDF filewhere you can set individual page setup overrides on a sheet-by-sheet basis.

GEOMCONSTRAINT

Applies or persists geometric relationships between objects or points on objects.

MEASUREGEOM

Measures the distance, radius, angle, area, and volume of selected objects or sequence of points.

MESH

Creates a 3D mesh primitive object such as a box, cone, cylinder, pyramid, sphere, wedge, or torus.

MESHCREASE

Sharpens the edges of selected mesh subobjects.

MESHOPTIONS

Displays the Mesh Tessellation Options dialog box, which controls default settings for converting existing objects to mesh objects.

MESHPRIMITIVEOPTIONS

Displays the Mesh Primitive Options dialog box, which sets the tessellation defaults for primitive mesh objects.

MESHREFINE

Multiplies the number of faces in selected mesh objects or faces.

MESHSMOOTHLESS

Decreases the level of smoothness for mesh objects by one level.

MESHSMOOTHMORE

Increases the level of smoothness for mesh objects by one level.

MESHSPLIT

Splits a mesh face into two faces.

MESHUNCREASE

Removes the crease from selected mesh faces, edges, or vertices.

PARAMETERS

Controls the associative parameters used in the drawing.

PARAMETERSCLOSE

Closes the Parameters Manager palette.

PDFADJUST

Adjust the fade, contrast, and monochrome settings of a PDF underlay.

PDFATTACH

Insert a PDF file as an underlay into the current drawing.

PDFCLIP

Crops the display of a selected PDF underlay to a specified boundary.

PDFLAYERS

Controls the display of layers in a PDF underlay.

-QUICKPUB

Creates a DWF, DWFx, or PDF file and allows you to set individual page setup overrides on a sheet by sheet basis.

REVERSE

Reverses the order of vertices of the selected lines, polylines, splines, and helixes.

SECTIONPLANEJOG

Adds a jogged segment to a section object.

SECTIONPLANESETTINGS

Sets display options for the selected section plane.

SECTIONPLANETOBLOCK

Saves selected section planes as 2D or 3D blocks.

SEEK

Opens a web browser and displays the Autodesk Seek home page.

SHAREWITHSEEK

Uploads blocks or drawings to the Autodesk Seek website.

TEXTEDIT

Edits a dimensional constraint, dimension, or text object.

ULAYERS

Controls the display of layers in a DWF, DWFx, PDF, or DGN underlay.

Changed Commands

3DMOVE

In a 3D view, displays the 3D Move gizmo to aid in moving 3D objects a specified distance in a specified direction.

3DROTATE

In a 3D view, displays the 3D Rotate gizmo to aid in revolving 3D objects around a base point.

ADCENTER

Manages and inserts content such as blocks, xrefs, and hatch patterns.

ALIGN

Aligns objects with other objects in 2D and 3D.

ARCHIVE

Packages the current sheet set files for archive.

-ARCHIVE

Packages the current sheet set files for archive.

ATTSYNC

Updates block references with new and changed attributes from a specified block definition.

AUTOPUBLISH

Publishes drawings to DWF, DWFx, or PDF files automatically to a specified location.

BATTMAN

Manages the attributes for a selected block definition.

CHAMFER

Bevels the edges of objects.

COLOR

Sets the color for new objects.

CONVTOSOLID

Converts 3D meshes and polylines and circles with thickness to 3D solids.

CONVTOSURFACE

Converts objects to 3D surfaces.

CUIEXPORT

Exports customized settings from the main CUIx file to an enterprise or partial CUIx file.

CUIIMPORT

Imports customized settings from an enterprise or partial CUIx file to the main CUIx file.

CUILOAD

Loads a CUIx file.

CUIUNLOAD

Unloads a CUIx file.

DGNADJUST

Adjust the fade, contrast, and monochrome settings of a DGN underlay.

-DGNADJUST

Adjust the fade, contrast, and monochrome settings of a DGN underlay.

DWFATTACH

Insert a DWF or DWFx file as an underlay into the current drawing.

DWFFORMAT

Sets the default format to DFW or DWFx for the PUBLISH, 3DDWF, EXPORT, EXPORTDWF, AND EXPORTDWFX commands.

EATTEDIT

Edits attributes in a block reference.

EDGESURF

Creates a mesh between four contiguous edges or curves.

ETRANSMIT

Packages a set of files for Internet transmission.

-ETRANSMIT

Packages a set of files for Internet transmission.

EXPLODE

Breaks a compound object into its component objects.

EXTERNALREFERENCES

Opens the External References palette.

EXTRUDE

Extends the dimensions of a 2D object or 3D face into 3D space.

FILLET

Rounds and fillets the edges of objects.

FLATSHOT

Creates a 2D representation of all 3D objects based on the current view.

IMAGEFRAME

Controls whether image frames are displayed and plotted.

IMPRINT

Imprints 2D geometry on a 3D solid or surface, creating additional edges on planar faces.

INTERFERE

Creates a temporary 3D solid from the interferences between two sets of selected 3D solids.

-INTERFERE

Creates a temporary 3D solid from the interferences between two sets of selected 3D solids.

INTERSECT

Creates a 3D solid, surface, or 2D region from overlapping solids, surfaces, or regions.

LIST

Displays property data for selected objects.

MARKUP

Opens the Markup Set Manager.

NAVSWHEEL

Displays a wheel that contains a collection of view navigation tools.

NAVVCUBE

Controls the visibility and display properties of the ViewCube tool.

OPEN

Opens an existing drawing file.

OPENDWFMARKUP

Opens a DWF or DWFx file that contains markups.

OPTIONS

Customizes the program settings.

PRESSPULL

Presses or pulls bounded areas.

PUBLISH

Publishes drawings to DWF, DWFx, and PDF files, or to plotters.

-PUBLISH

Publishes drawings to DWF, DWFx, and PDF files, or to plotters.

PURGE

Removes unused items, such as block definitions and layers, from the drawing.

QSAVE

Saves the current drawing using the file format specified in the Options dialog box.

REFCLOSE

Saves back or discards changes made during in-place editing of a reference (an xref or a block).

REFEDIT

Edits a block or an xref directly within the current drawing.

REFSET

Adds or removes objects from a working set during in-place editing of a reference (an xref or a block).

REVSURF

Creates a mesh by revolving a profile about an axis.

RULESURF

Creates a mesh that represents the surface between two lines or curves.

SAVE

Saves the drawing under the current file name or a specified name.

SAVEAS

Saves a copy of the current drawing under a new file name.

SECTION

Uses the intersection of a plane and solids, surfaces, or mesh to create a region.

SECTIONPLANE

Creates a section object that acts as a cutting plane through 3D objects.

SLICE

Creates new 3D solids and surfaces by slicing, or dividing, existing objects.

SOLIDEDIT

Edits faces and edges of 3D solid objects.

STLOUT

Stores solids in an ASCII or binary file.

SUBTRACT

Combines selected 3D solids, surfaces, or 2D regions by subtraction.

TABSURF

Creates a mesh from a line or curve that is swept along a straight path.

THICKEN

Converts a surface into a 3D solid with a specified thickness.

TRANSPARENCY

Controls whether background pixels in an image are transparent or opaque.

UNION

Combines selected 3D solids, surfaces, or 2D regions by addition.

XCLIP

Crops the display of a selected external reference or block reference to a specified boundary.

XEDGES

Creates wireframe geometry from the edges of a 3D solid, surface, mesh, region, or subobject.

XOPEN

Opens a selected drawing reference (xref) in a new window.

New System Variables

AUTOPUBFORMAT

Controls whether electronic files (DWF/PDF) are created automatically when you save or close drawing (DWG) files.

BACTIONBARMODE

Indicates whether the action bars or the legacy action objects are displayed in the Block Editor.

BCONSTATUSMODE

Turns the constraint display status on and off and controls the shading of objects based on their constraint level.

BLOCKTESTWINDOW

Indicates whether or not a test block window is current.

BPTEXTHORIZONTAL

Forces the text displayed for action parametes and constraint parameters in the Block Editor to be horizontal.

CCONSTRAINTFORM

Controls whether annotational or dynamic constraints are applied to objects.

CONSTRAINTBARDISPLAY

Displays constraint bars for objects after you manually apply a constraint or autoconstrain them.

CONSTRAINTBARMODE

Controls the display of geometrical constraints on constraint bars.

CONSTRAINTNAMEFORMAT

Controls the text format for dimensional constraints.

CONSTRAINTRELAX

Indicates whether constraints are enforced or relaxed when editing an object.

CONSTRAINTSOLVEMODE

Controls constraint behavior when applying or editing constraints.

DEFAULTGIZMO

Sets the 3D Move, 3D Rotate, or 3D Scale gizmo as the default during subobject selection.

DIMCONSTRAINTICON

Displays the lock icon next to the text for dimensional constraints.

DIMTXTDIRECTION

Specifies the reading direction of the dimension text.

DIVMESHBOXHEIGHT

Sets the number of subdivisions for the height of a mesh box along the Z axis.

DIVMESHBOXLENGTH

Sets the number of subdivisions for the length of a mesh box along the X axis.

DIVMESHBOXWIDTH

Sets the number of subdivisions for the width of a mesh box along the Y axis.

DIVMESHCONEAXIS

Sets the number of subdivisions around the perimeter of the mesh cone base.

DIVMESHCONEBASE

Sets the number of subdivisions between the perimeter and the center point of the mesh cone base.

DIVMESHCONEHEIGHT

Sets the number of subdivisions between the base and the point or top of the mesh cone.

DIVMESHCYLAXIS

Sets the number of subdivisions around the perimeter of the mesh cylinder base.

DIVMESHCYLBASE

Sets the number of subdivisions around the perimeter of the mesh cylinder base.

DIVMESHCYLHEIGHT

Sets the number of subdivisions between the base and the top of the mesh cylinder.

DIVMESHPYRBASE

Sets the number of radial subdivisions between the center of the mesh pyramid base and its perimeter.

DIVMESHPYRHEIGHT

Sets the number of subdivisions between the base and the top of the mesh pyramid.

DIVMESHPYRLENGTH

Sets the number of subdivisions along each dimension of a mesh pyramid base.

DIVMESHSPHEREAXIS

Sets the number of radial subdivisions around the axis endpoint of the mesh sphere.

DIVMESHSPHEREHEIGHT

Sets the number of subdivisions between the two axis endpoints of the mesh sphere.

DIVMESHTORUSPATH

Sets the number of subdivisions in the path that is swept by the profile of a mesh torus.

DIVMESHTORUSECTION

Sets the number of subdivisions in the profile that sweeps the path of a mesh torus.

DIVMESHWEDGEBASE

Sets the number of subdivisions between the midpoint of the perimeter of triangular dimension of the mesh wedge.

DIVMESHWEDGEHEIGHT

Sets the number of subdivisions for the height of the mesh wedge along the Z axis.

DIVMESHWEDGELENGTH

Sets the number of subdivisions for the length of a mesh wedge along the X axis.

DIVMESHWEDGESLOPE

Sets the number of subdivisions in the slope that extends from the apex of the wedge to the edge of the base.

DIVMESHWEDGEWIDTH

Sets the number of subdivisions for the width of the mesh wedge along the Y axis.

DYNCONSTRAINTDISPLAY

Displays or hides dynamic constraints.

FACETERDEVNORMAL

Sets the maximum angle between the surface normal and contiguous mesh faces.

FACTERDEVSURFACE

Sets how closely the converted mesh object adheres to the original shape of the solid or surface.

FACTERGRIDRATIO

Sets the maximum aspect ratio for the mesh subdivisions that are created for solids and surfaces converted to mesh.

FACTERMAXEDGELENGTH

Sets the maximum length of edges for mesh objects that are created by conversion from solids and surfaces.

FACTERMAXGRID

Sets the maximum number of U and V grid lines for solids and surfaces converted to mesh.

FACTERMESHTYPE

Sets the type of mesh to be created.

FACTERMINUGRID

Sets the minimum number of U grid lines for solids and surfaces that are converted to mesh.

FACTERMINVGRID

Sets the minimum number of V grid lines for solids and surfaces that are converted to mesh.

FACTERPRIMITIVEMODE

Specifies whether smoothness settings for objects that are converted to mesh are derived from the Mesh Tessellation Options or the Mesh Primitive Options dialog box.

FACTERSMOOTHLEV

Sets the default level of smoothness for objects that are converted to mesh.

FRAME

Turns the display of frames on and off for all external references, images, and DWF, DWFx, PDF, and DGN underlays.

GRIPSUBOBJMODE

Sets whether edge, face, or vertex grips are active upon initial selection.

LARGEOBJECTSUPPORT

Controls large object size limit support when you open and save drawings.

MESHTYPE

Controls the type of mesh that is created by REVSURF, TABSURF, RULESURF and EDGESURF.

MTEXTCOLUMN

Sets the default column setting for an mtext object.

PARAMETERCOPYMODE

Controls how constraints and referenced variables are copied when replicating constrained geometry.

PARAMETERSSTATUS

Indicates whether the Parameters Manager palette is displayed or hidden.

PDFFRAME

Determines whether the PDF underlay frame is visible.

PDFOSNAP

Determines whether object snapping is active for geometry in PDF underlays that are attached to the drawing.

RIBBONCONTEXTSELECT

Controls how ribbon contextual tabs are displayed when you single- or double-click an object.

RIBBONCONTEXTSELLIM

Suppresses the display of ribbon contextual tabs when the selection set includes more than the specified number of objects.

RIBBONSELECTMODE

Determines whether a pickfirst selection set remains selected after a ribbon contextual tab is invoked and the command is completed.

SMOOTHMESHCONVERT

Sets whether mesh objects that you convert to 3D solids or surfaces are smoothed or faceted, and whether their faces are merged.

SMOOTHMESHGRID

Sets the maximum level of smoothness at which the underlying mesh facet grid is displayed on 3D mesh objects.

SMOOTHMESHMAXFACE

Sets the maximum number of faces permitted for mesh objects.

SMOOTHMESHMAXLEV

Sets the maximum smoothness level for mesh objects.

SUBOBJSELECTIONMODE

Filters whether a face, edge, or vertex is selected with Ctrl+click.

UOSNAP

Determines whether object snapping is active for geometry in DWF, DWFx, PDF, and DGN underlays that are attached to the drawing.

VPROTATEASSOC

Controls whether the view within a viewport is rotated with the viewport when the viewport is rotated.

XDWGFADECTL

Controls the dimming for all DWG xref objects.

Changed System Variables

DBLCLKEDIT

Controls the double click editing behavior in the drawing area.

DELOBJ

Controls whether geometry used to create 3D objects is retained or deleted.

DIMTAD

Controls the vertical position of text in relation to the dimension line.

ENTERPRISEMENU

Stores the enterprise customization file name (if defined), including the path for the file name.

IMAGEFRAME

Controls whether image frames are displayed and plotted.

ISOLINES

Specifies the number of contour lines per surface on objects.

MBUTTONPAN

Controls the behavior of the third button or wheel on the pointing device.

MENUNAME

Stores the customization file name, including the path for the file name.

NAVVCUBESIZE

Specifies the size of the ViewCube tool.

PUBLISHALLSHEETS

Specifies whether to load the contents of the active document or of all open documents in the Publish dialog box.

REFEDITNAME

Displays the name of the reference being edited.

XFADECTL

Controls the fading intensity percentage for references being edited in-place.

XREFNOTIFY

Controls the notification for updated or missing xrefs.


System Requirements

Command and System Variable History
Product Removal
AutoCAD 2010 Readme >
System Requirements
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Before you install AutoCAD 2010, make sure that your computer meets the minimum hardware and software requirements.

Whether your Windows operating system is the 32-bit or 64-bit version is automatically detected when installing AutoCAD 2010. The appropriate version of AutoCAD 2010 will be installed. The 32-bit version of AutoCAD 2010 cannot be installed on a 64-bit version of Windows.

See the following tables for hardware and software requirements.

Hardware and software requirements
Hardware/Software Requirement Notes

Operating system

32-bit

  • Microsoft® Windows® Vista® Business SP1
  • Microsoft Windows Vista Enterprise SP1
  • Microsoft Windows Vista Home Premium SP1
  • Microsoft Windows Vista Ultimate SP1
  • Microsoft Windows XP Home SP2 or later
  • Microsoft Windows XP Professional SP2 or later

64-bit

  • Microsoft Windows Vista Business SP1
  • Microsoft Windows Vista Enterprise SP1
  • Microsoft Windows Vista Home Premium SP1
  • Microsoft Windows Vista Ultimate SP1
  • Microsoft Windows XP Professional x64 Edition SP2 or later

For more information on Windows Vista versions, see http://www.microsoft.com/windowsvista/versions

It is recommended that non-English language versions of AutoCAD 2010 be installed on an operating system with a user interface language that matches the code page of the AutoCAD 2010 language. A code page provides support for character sets used in different languages.

Web browser

Microsoft Internet Explorer® 7.0 or later
Processor

32-bit

Windows XP

Intel Pentium 4 or AMD Athlon™ Dual Core, 1.6 GHz or higher with SSE2 technology

Windows Vista

Intel Pentium 4 or AMD Athlon Dual Core, 3.0 GHz or higher with SSE2 technology

64-bit

AMD Athlon 64 with SSE2 technology

AMD Opteron™ with SSE2 technology

Intel Xeon with Intel EM64T support & SSE2 technology

Intel Pentium 4 with Intel EM64T support & SSE2 technology
Memory

2 GB RAM

Display resolution

1024 x 768 with True Color

  • Requires a Windows-supported display adapter.
  • For graphic cards that support Hardware Acceleration, DirectX 9.0c or later must be installed.
  • Installing from the ACAD.msi file does not install DirectX 9.0c or later. You must manually install DirectX to configure Hardware Acceleration.
Hard Disk

32-bit

1 GB for installation

64-bit

1.5 GB for installation

Pointing device

MS-Mouse Compliant

DVD/CD-ROM

Download and Installation from DVD or CD-ROM

3D Modeling additional requirements

Intel Pentium 4 or AMD Athlon processor 3.0 GHz or greater, or Intel or AMD Dual Core processor 2.0 GHz or greater

2 GB RAM or greater

2 GB free hard disk available not including installation

1280 x 1024 32-bit color video display adapter (true color) 128 MB or greater, Direct3D® capable workstation class graphics card

Additional recommendations for 3D use
Hardware/Software Requirement Notes
Operating system

32-bit

Microsoft Windows Vista Enterprise

Microsoft Windows Vista Business

Microsoft Windows Vista Ultimate

Microsoft Windows Vista Home Premium

Microsoft Windows XP Professional Edition (SP2)

Microsoft Windows XP Home Edition (SP2)

64-bit

Microsoft Windows Vista Enterprise

Microsoft Windows Vista Business

Microsoft Windows Vista Ultimate

Microsoft Windows Vista Home Premium

Microsoft Windows XP Professional Edition (SP2)

It is recommended that non-English language versions of AutoCAD 2010 be installed on an operating system with a user interface language that matches the code page of the AutoCAD 2010 language. A code page provides support for character sets used in different languages.

Whether the Microsoft Windows operating system is the 32-bit or the 64-bit version is automatically detected when installing AutoCAD 2010. The appropriate version of AutoCAD 2010 will be installed. The 32-bit version of AutoCAD 2010 cannot be installed on a 64-bit version of Microsoft Windows.

Processor

Intel Pentium 4 processor or AMD Athlon, 2.2 GHz or greater

or

AMD Dual Core processor, 1.6 GHz or greater

RAM

2 GB (or greater)

Graphics card

1280 x 1024 32-bit color video display adapter (True Color) 128 MB or greater, OpenGL, or Direct3D capable workstation class graphics card.

For Microsoft Windows Vista, a Direct3D capable workstation class graphics card with 128 MB or greater is required 1024 x 768 VGA with True Color (minimum)

  • Requires a Windows-supported display adapter.
  • For graphic cards that support Hardware Acceleration, DirectX 9.0c or later must be installed.
  • Installing from the ACAD.msi file does not install DirectX 9.0c or later. You must manually install DirectX to configure Hardware Acceleration.

For more information about tested and certified graphics cards, visit http://www.autodesk.com/autocad-graphicscard

Hard disk

2 GB (in addition to the 1GB or above required for installation)

NoteAdobe Flash Player is no longer installed by default. If a suitable version of Flash is not currently installed on your system, a message requests that you download it from Adobe’s website. If you do not have Internet access, you can also access the Flash installer on the AutoCAD 2010 product media.


Product Removal

System Requirements
Trademarks
AutoCAD 2010 Readme >
Product Removal
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

To Uninstall AutoCAD 2010 [Windows XP]

  1. On the Start menu (Windows), click Settings [image] Control Panel [image] Add or Remove Programs.
  2. Select AutoCAD 2010. Click Change/Remove.
  3. On the Installation wizard Maintenance Mode page, click Uninstall.
  4. On the Uninstall AutoCAD 2010 page, click Next.
  5. Click Finish.

To Uninstall AutoCAD 2010 [Windows Vista]

  1. On the Start menu (Windows), click Settings [image] Control Panel [image] Uninstall a Program.
  2. Select AutoCAD 2010. Click Uninstall/Change.

    If the User Account Control dialog box is displayed, click Continue.

  3. On the Installation wizard Maintenance Mode page, click Uninstall.
  4. On the Uninstall AutoCAD 2010 page, click Next.
  5. Click Finish.


Trademarks

Product Removal
Trademarks
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

© 2009 Autodesk, Inc. All Rights Reserved. Except as otherwise permitted by Autodesk, Inc., this publication, or parts thereof, may not be reproduced in any form, by any method, for any purpose.

Certain materials included in this publication are reprinted with the permission of the copyright holder.

Trademarks

The following are registered trademarks or trademarks of Autodesk, Inc., in the USA and other countries: 3DEC (design/logo), 3December, 3December.com, 3ds Max, ADI, Alias, Alias (swirl design/logo), AliasStudio, Alias|Wavefront (design/logo), ATC, AUGI, AutoCAD, AutoCAD Learning Assistance, AutoCAD LT, AutoCAD Simulator, AutoCAD SQL Extension, AutoCAD SQL Interface, Autodesk, Autodesk Envision, Autodesk Insight, Autodesk Intent, Autodesk Inventor, Autodesk Map, Autodesk MapGuide, Autodesk Streamline, AutoLISP, AutoSnap, AutoSketch, AutoTrack, Backdraft, Built with ObjectARX (logo), Burn, Buzzsaw, CAiCE, Can You Imagine, Character Studio, Cinestream, Civil 3D, Cleaner, Cleaner Central, ClearScale, Colour Warper, Combustion, Communication Specification, Constructware, Content Explorer, Create>what's>Next> (design/logo), Dancing Baby (image), DesignCenter, Design Doctor, Designer's Toolkit, DesignKids, DesignProf, DesignServer, DesignStudio, Design|Studio (design/logo), Design Web Format, Discreet, DWF, DWG, DWG (logo), DWG Extreme, DWG TrueConvert, DWG TrueView, DXF, Ecotect, Exposure, Extending the Design Team, Face Robot, FBX, Filmbox, Fire, Flame, Flint, FMDesktop, Freewheel, Frost, GDX Driver, Gmax, Green Building Studio, Heads-up Design, Heidi, HumanIK, IDEA Server, i-drop, ImageModeler, iMOUT, Incinerator, Inferno, Inventor, Inventor LT, Kaydara, Kaydara (design/logo), Kynapse, Kynogon, LandXplorer, LocationLogic, Lustre, Matchmover, Maya, Mechanical Desktop, Moonbox, MotionBuilder, Movimento, Mudbox, NavisWorks, ObjectARX, ObjectDBX, Open Reality, Opticore, Opticore Opus, PolarSnap, PortfolioWall, Powered with Autodesk Technology, Productstream, ProjectPoint, ProMaterials, RasterDWG, Reactor, RealDWG, Real-time Roto, REALVIZ, Recognize, Render Queue, Retimer,Reveal, Revit, Showcase, ShowMotion, SketchBook, Smoke, Softimage, Softimage|XSI (design/logo), SteeringWheels, Stitcher, Stone, StudioTools, Topobase, Toxik, TrustedDWG, ViewCube, Visual, Visual Construction, Visual Drainage, Visual Landscape, Visual Survey, Visual Toolbox, Visual LISP, Voice Reality, Volo, Vtour, Wire, Wiretap, WiretapCentral, XSI, and XSI (design/logo).

The following are registered trademarks or trademarks of Autodesk Canada Co. in the USA and/or Canada and other countries: Backburner,Multi-Master Editing, River, and Sparks.

The following are registered trademarks or trademarks of MoldflowCorp. in the USA and/or other countries: Moldflow, MPA, MPA (design/logo),Moldflow Plastics Advisers, MPI, MPI (design/logo), Moldflow Plastics Insight,MPX, MPX (design/logo), Moldflow Plastics Xpert.

All other brand names, product names or trademarks belong to their respective holders.

Disclaimer

THIS PUBLICATION AND THE INFORMATION CONTAINED HEREIN IS MADE AVAILABLE BY AUTODESK, INC. "AS IS." AUTODESK, INC. DISCLAIMS ALL WARRANTIES, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO ANY IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE REGARDING THESE MATERIALS.

Published by:

Autodesk, Inc.

111 Mclnnis Parkway

San Rafael, CA 94903, USA


Comments?

Using this form sends your comments to the Autodesk Technical Publications group responsible for this documentation.

Topic title and location (do not edit):
Name (optional):
         Email (optional):
Comments:

Note: This form is not intended as a way for you to receive feedback or technical support. The information you provide will be used to enhance future updates to the documentation. Thanks!